function training() {
		
		// Getting Album indo
		albumview.addEventListener('click', function(ev) {
			viewAlbum();
		});
		// Getting entry info
		entryview.addEventListener('click', function(ev) {
			viewEntry();
		});	
		// Submiting entry
		addID.addEventListener('click', function(ev) {
			submitEntry();
			alert("Sending...");
		});		
		// Rebuilding Album
		rebuildal.addEventListener('click', function(ev) {
			rebuildAlbum();
		});	
		// Clearing fields
		clearAll.addEventListener('click', function(ev) {
			$("#entryID").val('');
			$("#urlPhoto").val('');
			$("#results").empty();
		});			
		//Calls the API and receives information of the album and prints the result on the html page
		function viewAlbum() {
			$.ajax({
				url: "https://lambda-face-recognition.p.mashape.com/album?album=TFG2016&albumkey=9e9b612c51c906696cfebe6ef21b404a126059cbf897128550e38062bb8b7d2b",
				type: "GET",
				processData: false,
				contentType: false,
				beforeSend: function (xhr) {
					xhr.setRequestHeader("X-Mashape-Authorization", "OCfGKAzfbxmsh90jMtijqOBZXXLGp1QdCD1jsncFpHfN5OhSxi");
				}
			}).done(function (result) {
				$(results).html('');
				$(results).append("<span>Number of entries: </span>" + result.size + '<br><br>');
				$(results).append('<span>Album entries: </span><br><br>');
				for (var i = 0; i < result.size; i++) {
					$(results).append('<img src="' + result.visualization[i].image + '" style="width:200px;height:auto;"><br>' + result.entries[i] + "<br><br>");
				}
			});
			$("#entryID").val('');
			$("#urlPhoto").val('');				
		}
		//Receives an entry ID as input and prints in the html page the response from the API with the information of the ID introduced
		function viewEntry() {
				$.ajax({
					url: "https://lambda-face-recognition.p.mashape.com/album_train?album=TFG2016&albumkey=9e9b612c51c906696cfebe6ef21b404a126059cbf897128550e38062bb8b7d2b&entryid="+$("#entryID").val(),
					type: "GET",
					processData: false,
					contentType: false,
					beforeSend: function (xhr) {
						xhr.setRequestHeader("X-Mashape-Authorization", "OCfGKAzfbxmsh90jMtijqOBZXXLGp1QdCD1jsncFpHfN5OhSxi");
					},
					success: function(result) {
						$(results).html('<span>Entry ID: </span>' + result.entryid + "<br><br>" + "<span>Number of photos: </span>" + result.image_count);
						$("#entryID").val('');
						$("#urlPhoto").val('');		
					},
					error: function(result) {
						alert("This ID doesn't exist in the database");
					}
				});
		}
		//Rebuilds the album and displays the confirmation
		function rebuildAlbum() {
				$.ajax({
					url: "https://lambda-face-recognition.p.mashape.com/album_rebuild?album=TFG2016&albumkey=9e9b612c51c906696cfebe6ef21b404a126059cbf897128550e38062bb8b7d2b",
					type: "GET",
					processData: false,
					contentType: false,
					beforeSend: function (xhr) {
						xhr.setRequestHeader("X-Mashape-Authorization", "OCfGKAzfbxmsh90jMtijqOBZXXLGp1QdCD1jsncFpHfN5OhSxi");
					},
					success: function(data) {
						$(results).html('<span>Album rebuilt succesfully</span>' + "<br><br>" + "<span>Number of entries: </span>" + data.size);
					},
					error: function(data) {
						alert("The rebuilding failed. Try again.");
					}
				});
				$("#entryID").val('');
				$("#urlPhoto").val('');		
		}
		//Receives as inputs an entry ID and a photo URL. Calls the API to add the new photo and/or ID. Displays the results.
		function submitEntry() {
			var file = document.getElementById("photoID");
			var fd = new FormData();
			fd.append("album", "TFG2016");
			fd.append("albumkey", "9e9b612c51c906696cfebe6ef21b404a126059cbf897128550e38062bb8b7d2b");
			fd.append("entryid", $("#entryID").val());
			fd.append("urls", $("#urlPhoto").val());
			$.ajax({
				url: "https://lambda-face-recognition.p.mashape.com/album_train",
				type: "POST",
				data: fd,
				processData: false,
				contentType: false,
				beforeSend: function (xhr) {
					xhr.setRequestHeader("X-Mashape-Authorization", "OCfGKAzfbxmsh90jMtijqOBZXXLGp1QdCD1jsncFpHfN5OhSxi");
				}
			}).done(function (data) {					
						var test = data.entryid;
						if (test !== undefined) {
							$(results).html('<span>Entry ID: </span>' + data.entryid + '<br><br>' + '<span>Number of photos: </span>' + data.image_count + '<br><br>' + "<span>Rebuild: </span>" + data.rebuild);
						} else {
							alert("The photo was not added, possibly no faces detected. Try again with another photo.");
						};

			});
			$("#urlPhoto").val('');			
		}
};

$(document).ready( function() {
	training();
});
